Subject: Re: [VCARDDAV] VCARDDAV Digest, Vol 12, Issue 6

From: Jean-Luc Schellens <[email-masked]>
Date: Tue, 5 Aug 2008 09:04:07 +0200

>   1. Re:  Some remarks bout the vCard 4.0/0.3 (Javier Godoy)
>
>> 2 KIND: really key and very useful but if KIND replaces GROUP (see  
>> 14),
>> would it still be possible to have a hierarchy like PARENT GROUP in  
>> the Mac
>> Address Book?
>>
>> 14 Why ?GROUP? is removed? No more hierarchy with ?PARENT GROUP?  
>> like the
>> Mac AB!
>
> There never was a GROUP property. The feature removed in version -02  
> was the
> GROUP.PROPERTY production (e.g., A.ADR, A.TEL), which is unrelated  
> to the
> "group" KIND.
>
> What we discussed was whether groups should refer their members or  
> members
> should refer the groups they belong.
> http://www.ietf.org/mail-archive/web/vcarddav/current/msg00117.html
> In that context (IIRC) a GROUP property was suggested, as the  
> inverse of
> MEMBER.
>

If a group is a KIND including other vCards thanks to the MEMBER/ 
RELATED properties and if another group can contain different groups,  
then it's OK for me

>
>> 3 N would have a ?Family Name Prefix? for the small caps part of an
>> ?aristocratic? name (see 11)
>> 11 SORT-STRING would be based on the ?last name prefix? type for the
>> ?aristocratic? sorting like in the ?van der Harten? example.
>
> Is there any advantage in providing that separation in the N property?
> IMHO is already clear that ?van der Harten? is the last name and it  
> collates
> as "Harten".

See my other response send today

>
>> 6 LANG would be an identification property with parameters to  
>> define the
>> level (e.g; Mother, Fluent, Business practice...well known issue for
>> Canadian and Belgian ;o)
>
> It can be represented by using the "q" parameter (e.g., LANG:fr,en 
> \;q=0.9)
> For instance q=1.0 (the default) means a strong preference for that  
> language
> (usually the mother one). High q values mean fluent, and low q  
> values mean
> some minimal knowledge.
> I don't know how "Business practice" fits within this approach.

Living in Belgium (a trilingual country), I'm familiar with the  
problem (like the Canadians I guess;o)
For me
q=1.0 means mother (French for me)
q= 0.9 means bilingual (fully fluent, you practice another language  
like your mother's one because you have been educated in this language)
q= 0.8 means fluent written and spoken
q= 0.7 means fluent only in spoken
q= 0.6 means business fluency written and spoken (English and Dutch  
for me)
q= 0.5 means business fluency spoken
		
>
>> 8 MEMBER & RELATED would be clarified. For me RELATED is more a  
>> MEMBER
>> value!
>
> Good point, though I think MEMBER is a particular case of RELATED, not
> otherwise:
> RELATED is a relationship between two entities.
> MEMBER refers to an individual who belongs to the group the vCard  
> represents
> (i.e. membership relation).
>
> Note that MEMBER may refer to something other than a vCard object  
> (e.g., a
> mailto: URI), while RELATED is supposed to refer to a vCard. I think  
> we should
> remove this restriction.

See my response above

>
>> 10 REV would be a multi-value property including the PID for data  
>> quality
>> and synchronization purposes
>
> I'm not sure I understand you. Do you mean a per-property REV value?
> In that case it would introduce too much overhead and simple devices  
> would
> just ignore it, note that PIDs are small because of this reason.
>
I just would like to have
REV;PID=2;TYPE=delete:2008-08-08

Best regards
Jean-Luc
_______________________________________________
VCARDDAV mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/vcarddav

---

From: Simon Perreault <[email-masked]>
Date: Tue, 05 Aug 2008 08:23:09 -0500

Jean-Luc Schellens wrote:
> If a group is a KIND including other vCards thanks to the MEMBER/RELATED 
> properties and if another group can contain different groups, then it's 
> OK for me

You got it right.

> Living in Belgium (a trilingual country), I'm familiar with the problem 
> (like the Canadians I guess;o)
> For me
> q= 0.9 means bilingual (fully fluent, you practice another language like 
> your mother's one because you have been educated in this language)
> q= 0.6 means business fluency written and spoken (English and Dutch for me)

Just understand that there is no "meaning" associated with particular q 
values. It's just a way to order languages by preference.

> REV;PID=2;TYPE=delete:2008-08-08

I'm sorry I still don't understand.

- REV cannot have the PID parameter because it's a single-instance-only 
property.
- What does the TYPE mean?

-- 
Please try Numb, a STUN/TURN server implementation.
Free access at http://numb.viagenie.ca/.
_______________________________________________
VCARDDAV mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/vcarddav